Subject: Re: [PATCH 1/2] Support for setitimer() on platforms lacking it

From: Johannes Sixt <[email-masked]>
Date: Mon, 03 Sep 2012 20:15:55 +0200

Am 03.09.2012 11:31, schrieb Joachim Schmitz:
> 
> Hmm, I see that there the errors are handled differently, like this:
> 
>         if (ovalue != NULL)
>                 return errno = EINVAL,
>                         error("setitimer param 3 != NULL not implemented");
> 
> Should this be done in my setitimer() too? Or rather be left to the caller?
> I tend to the later.

The error message is really just a reminder that the implementation is
not complete. Writing it here has the advantage that it is much more
accurate than a generic "invalid argument" or "operation not supported"
error that the caller would be able to write.

-- Hannes